Does iBank work with Lion 10.7.2?

Does iBank work with Lion 10.7.2? The technical specifications only lists up to Lion 10.7.

  • Asked by Kyle O from Osseo
  • Nov 12, 2011
iBank 4

iBank 4

Product No Longer Available

1 Answer from the Community

  • Best Answer:

    Yes, iBank 4 is entirely compatible with OS X Lion - version 10.7 and all subsequent updates.

    • Answered by Scott B from Putney
    • Nov 15, 2011